Package org.eclipse.cdt.core.dom.ast.c

# Interface ICExternalBinding

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IBinding`

public interface ICExternalBinding extends IBinding
This interface represents a binding for a function or variable that is assumed to exist in another compilation unit and that would be found at link time.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

## Method Summary

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`